> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowengineering.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get branch automation status



## OpenAPI

````yaml /openapi/customer-api.json get /ai/trigger/branch/status
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Flow customer API reference. Start with the [quickstart](/api/quickstart)
    and [authentication guide](/api/authentication).
  title: Customer API
  version: 1.0.0
servers:
  - description: Flow API
    url: https://backend.branch.flowengineering.com
security: []
tags:
  - name: Automations
  - name: Branches
  - name: Comments
  - name: Convert
  - name: Data Model
  - name: Diagrams
  - name: Entities
  - name: Files
  - name: Import
  - name: Notifications
  - name: Projects
  - name: ReqIF
  - name: ReqIF Import
  - name: Shared Access Grants
  - name: User Groups
  - name: Users
paths:
  /ai/trigger/branch/status:
    get:
      tags:
        - Automations
      summary: >-
        Branch-review automation staleness — per-automation latest run and
        whether changes have landed since
      operationId: AutomationTriggerController_branchStatus
      parameters:
        - in: query
          name: branch_id
          required: true
          schema:
            type: string
        - in: query
          name: project_id
          required: true
          schema:
            type: string
        - description: Workspace identifier
          in: header
          name: customer
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BranchReviewStatusResponseDto'
          description: ''
      security:
        - api-key: []
        - bearer: []
components:
  schemas:
    BranchReviewStatusResponseDto:
      properties:
        items:
          items:
            $ref: '#/components/schemas/BranchReviewStatusItemDto'
          type: array
      required:
        - items
      type: object
    BranchReviewStatusItemDto:
      properties:
        agent_id:
          nullable: true
          type: string
        automation_id:
          type: string
        automation_name:
          type: string
        has_changes_since_run:
          type: boolean
        last_run_at:
          nullable: true
          type: string
      required:
        - automation_id
        - automation_name
        - agent_id
        - last_run_at
        - has_changes_since_run
      type: object
  securitySchemes:
    api-key:
      in: header
      name: X-API-Key
      type: apiKey
    bearer:
      bearerFormat: JWT
      scheme: bearer
      type: http

````